<div class="flex flex-col flex-auto w-full" style="background-color:#F8F8F8;">
    <div class="container flex justify-between">
        <div class="flex items-center cursor-pointer" (click)="back()"><mat-icon class="mt-6 mb-6 "
                style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-16"
                style="color: #0038FF;">Back</span></div>
        <div><mat-icon class="mt-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
    </div>

    <div id="buyGold" class="font-Semibold-40 font-141461 mt-8 mb-8" style="text-align:center !important;">
        <div>Transfer Gold</div>
    </div>

    <div class="flex flex-col  items-center sm:justify-center min-w-0">
        <!-- Main -->
        <div class="w-full mx-auto mb-10 shadow bg-white box-width" style="width: 491px !important;box-shadow: 0px 0px 6px #0000001A;
        ">
            <div class="w-full sm:mx-0">
                <!-- CONTENT GOES HERE -->
                <form action="" class="md:container md:mx-auto" [formGroup]="bgdTransferAmountForm"
                    #bgdTransferAmount="ngForm">

                    <div class="relative flex flex-col flex-auto items-center justify-center my-8">
                        <span class="font-Medium-18 mb-2 font-7B7B7B">Gold Wallet Balance</span>
                        <span class="font-Medium-20 font-000" [ngClass]="{'font-ff0000': labelAlertVisible, 'font-000': !labelAlertVisible, 'disabled': !labelAlertVisible}">
                            {{availAmount | number: '.6'}}g</span>
                        <div class="items-center justify-center">
                            <span [style.font-size.px]="12" [style.color]="'red'" *ngIf="labelAlertVisible"
                                class="alert-message">Insufficient Balance</span>
                        </div>
                    </div>

                    <div class="flex flex-col xl:mx-6 sm:mx-6 xl:my-3 sm:my-3 xl:px-16 sm:px-16">
                        <div class="mt-2 font-medium text-3xl leading-none">
                            <div class="flex items-center mb-4">
                                <div class="flex-auto mt-px border-t"></div>
                            </div>
                            <div class="form-group">
                                <div>
                                    <mat-form-field class="w-11/12">
                                        <input id="amountValue" matInput [formControlName]="'amountValue'"
                                            placeholder="0.000000">
                                        <span matSuffix class="font-Semibold-18"
                                            style="color: #333333 !important;">g</span>
                                    </mat-form-field>
                                </div>

                                <button class="fuse-mat-button-large w-full mt-6 mb-6 button-r5-disable button-r5" mat-flat-button
                                    [color]="'primary'" [disabled]="bgdTransferAmountForm.invalid || disableButton"
                                    (click)="nextBtn()">
                                    <span *ngIf="!bgdTransferAmountForm.disabled">
                                        Continue
                                    </span>
                                </button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>

</div>